<?php 
/*  
CMSimple plug-in v3.2.1 - 8 Dec 2009
WysiwygPro v3 integration for CMSimple version 3.1 or later 
----------------------------------------------------------------------------------------------
Copyright 2006-2007, ViziMetrics, Inc.  All rights reserved. Using or accessing the WysiwygPro 
code outside of the CMSsimple application is a violation of our license and copyright!

WYSIWYGPRO INSTALLATION:  
This plug-in uses an optimized version of the WysiwygPro Code.  Please review the included 
installation instructions for the detailed steps you must take to properly install this plugin.

Please Note: A customized version of WysiwygPro is included with "CPanel" on 'nix servers.   
DO NOT OVERWRITE any existing "WysiwygPro" folders or files on your server.  Doing so may damage 
CPanel functionality.

This WysiwygPro plug-in is released under the same terms as your WysiwygPro license.

    WysiwygPro is NOT freeware.  
    WysiwygPro is NOT shareware.  
    WysiwygPro is NOT released under any form of public license.
    To use WysiwygPro with this plug-in, you MUST own a license.  
    Visit www.wysiwygpro.com to purchase.

Please note that we have no control over the future development of CMSimple and we are not in any 
way involved in it's development or affiliated with it in any way.  So while these instructions 
and associated code should work correctly with the current CMSimple version at the time of this 
writing, this may not be the case for future versions.

REQUIREMENTS:
- A working CMSimple 2.9 (or later) installation
- WysiwygPro License

This plug-in includes WysiwygPro v3 script and is optimized specifically for this version 
of CMSimple. Use of this plug-in with other versions of WysiwygPro or CMSimple may result in errors.  

While we have made reasonable attempts to ensure that this software will operate as intended, we 
cannot guarantee that it will operate error free in every possible installation.  Due to the large 
number of varying factors inherent under different Server Operating Systems, System settings, Browser
varieties, PHP installation version differences and PHP settings... it is possible that this product 
may not perform as intended. Please contact us for support at http://support.vizimetrics.com if this 
product does not operate properly.
*/
//--------------------------------------------------------------------------------------------------
// HOME_DIR and HOME_URL are for the editor, and must remain constant regardless of installation folder 
// and whether or not this is a multi-language site.
// HOME_URL2 changes with each cmsimple language folder accessed.

define('HOME_DIR',str_replace("//","/",dirname(dirname(__FILE__)))."/");
define('HOME_URL',str_replace("//","/",str_replace($_SERVER["DOCUMENT_ROOT"],"",substr(HOME_DIR,strpos(HOME_DIR,  $_SERVER["DOCUMENT_ROOT"])))."/"));
define('HOME_URL2',str_replace("//","/",dirname($_SERVER["PHP_SELF"])."/"));

if ($plugin_cf['wysiwygpro3']['_SITE_URL_']!= '') {
	$bu = "http://".str_replace("//","/",str_replace("http://","",$plugin_cf['wysiwygpro3']['_SITE_URL_'])."/");
} else {
     $bu = "http://".str_replace("//","/",$_SERVER["SERVER_NAME"]."/".HOME_URL);
}
define ('BASE_URL',$bu);

if (!(@is_dir($pth['folder']['plugins']."wysiwygpro3/wp3"))) e('cntopen','Editor: ','WysiwygPro!');
include_once($pth['folder']['plugins']."wysiwygpro3/wp3/wysiwygPro.class.php"); 

//Set up the editor options...
$editor = new wysiwygPro(); 
$editor->value = $c[$s];
$editor->name  = 'text';
$editor->set_savebutton('save');
$editor->set_stylesheet($pth['folder']['template'].'stylesheet.css');

$editor->baseURL     = BASE_URL;
$editor->editorURL   = HOME_URL.'plugins/wysiwygpro3/wp3/';
$editor->imageDir    = HOME_DIR.'images/'; 
$editor->imageURL    = HOME_URL.'images/';
$editor->documentDir = HOME_DIR.'downloads/'; 
$editor->documentURL = HOME_URL.'downloads/';
$editor->mediaDir    = HOME_DIR.'images/'; 
$editor->mediaURL    = HOME_URL.'images/';

$editor->loadPlugin('tagPath');
$editor->loadPlugin('repeatingRegions');
if (!empty($plugin_cf['wysiwygpro3']['fragmentCSS'])) $editor->fragmentCSSText = $plugin_cf['wysiwygpro3']['fragmentCSS'];

$editor->editImages =    ($plugin_cf['wysiwygpro3']['allow_editImages']=='true' ? 'true' : 'false');
$editor->copyFiles =     ($plugin_cf['wysiwygpro3']['allow_copyFiles']=='true' ? 'true' : 'false');
$editor->copyFolders =   ($plugin_cf['wysiwygpro3']['allow_copyFolders']=='true' ? 'true' : 'false');
$editor->moveFiles =     ($plugin_cf['wysiwygpro3']['allow_moveFiles']=='true' ? 'true' : 'false');
$editor->moveFolders =   ($plugin_cf['wysiwygpro3']['allow_moveFolders']=='true' ? 'true' : 'false');
$editor->deleteFiles =   ($plugin_cf['wysiwygpro3']['allow_deleteFile']=='true' ? 'true' : 'false');
$editor->deleteFolders = ($plugin_cf['wysiwygpro3']['allow_deleteFolder']=='true' ? 'true' : 'false'); 
$editor->createFolders = ($plugin_cf['wysiwygpro3']['allow_createFolder']=='true' ? 'true' : 'false');
$editor->renameFiles =   ($plugin_cf['wysiwygpro3']['allow_renameFile']=='true' ? 'true' : 'false'); 
$editor->renameFolders = ($plugin_cf['wysiwygpro3']['allow_renameFolder']=='true' ? 'true' : 'false');
$editor->upload =        ($plugin_cf['wysiwygpro3']['allow_upload']=='true' ? 'true' : 'false'); 
$editor->overwrite =     ($plugin_cf['wysiwygpro3']['allow_overwrite']=='true' ? 'true' : 'false');
$editor->allowedImageExtensions = $plugin_cf['wysiwygpro3']['allowed_images'];
$editor->allowedDocExtensions   = $plugin_cf['wysiwygpro3']['allowed_docs'];
$editor->allowedMediaExtensions = $plugin_cf['wysiwygpro3']['allowed_media'];
$editor->maxImageWidth  = intval($plugin_cf['wysiwygpro3']['max_image_width']);
$editor->maxImageHeight = intval($plugin_cf['wysiwygpro3']['max_image_height']);
$editor->maxImageSize   = intval($cf['images']['maxsize']);
$editor->maxDocSize     = intval($cf['downloads']['maxsize']);
$editor->maxMediaSize   = $plugin_cf['wysiwygpro3']['max_media_size'];

$file_CHMOD   = $plugin_cf['wysiwygpro3']['file_CHMOD'];
$folder_CHMOD = $plugin_cf['wysiwygpro3']['folder_CHMOD'];
   if (!empty($file_CHMOD))   $editor->fileCHMOD = octdec($file_CHMOD);
   if (!empty($folder_CHMOD)) $editor->folderCHMOD = octdec($folder_CHMOD);

// Do something with html DOCTYPE versions in a later release		
//$editor->htmlVersion = wysiwygPro3_get_option( 'htmlVersion', 'XHTML 1.0 Transitional' );
if ($tx['meta']['codepage'] != '') $editor->htmlCharset = $tx['meta']['codepage'];

// affects spellchecker language...
$editor->htmlLang      = $cf['language']['default'];

$editor->escapeCharacters = $plugin_cf['wysiwygpro3']['escapeCharacters'];
$editor->lang       = $plugin_cf['wysiwygpro3']['GUI_language'];
$editor->fullURLs   = $plugin_cf['wysiwygpro3']['usefullurls']=="true";
$editor->guidelines = $plugin_cf['wysiwygpro3']['guidelines_visible']=="true" ;
$editor->lineReturns= ($plugin_cf['wysiwygpro3']['usep']=="true" ? 'P' : 'DIV');

// THIS LINK BUILDER STILL USES WPRO v2 SET_LINKS FUNCTION... NEED TO UPDATE TO V3 for next update.
$links = array(); 
$linkparts[0] = '';
for ($i=0;$i<=count($h);$i++) {
  $linkparts[$l[$i]] = $linkparts[$l[$i]-1].($l[$i]>1 ? $cf['uri']['seperator'] : '').urlencode(uenc(str_replace("'","",str_replace(' ','_',$h[$i]))));
  array_push($links, array($l[$i],str_replace('./',HOME_URL2,$pth['file']['execute']).'?'.$linkparts[$l[$i]],substr($h[$i],0,25)));
} 
$editor->set_links($links);

if ($plugin_cf['wysiwygpro3']['disableimgmngr']=="true") $editor->disableFeature("imagemanager");
if ($plugin_cf['wysiwygpro3']['disablebookmarkmngr']=="true") $editor->disableFeature("bookmarkmanager");
if ($plugin_cf['wysiwygpro3']['disablelinkmngr']=="true") $editor->disableFeature("linkmanager");
if ($plugin_cf['wysiwygpro3']['disabledocumentmngr']=="true") $editor->disableFeature("documentmanager");
if ($plugin_cf['wysiwygpro3']['disablemediamngr']=="true") $editor->disableFeature("mediamanager");

if ($plugin_cf['wysiwygpro3']['hideBtn_preview']=="true") $editor->disableFeature("preview");
if ($plugin_cf['wysiwygpro3']['hideBtn_html']=="true") $editor->disableFeature("html");
if ($plugin_cf['wysiwygpro3']['hideBtn_print']=="true") $editor->disableFeature("print");
if ($plugin_cf['wysiwygpro3']['hideBtn_find']=="true") $editor->disableFeature("find");
if ($plugin_cf['wysiwygpro3']['hideBtn_cut']=="true") $editor->disableFeature("cut");
if ($plugin_cf['wysiwygpro3']['hideBtn_copy']=="true") $editor->disableFeature("copy");
if ($plugin_cf['wysiwygpro3']['hideBtn_paste']=="true") $editor->disableFeature("paste");
if ($plugin_cf['wysiwygpro3']['hideBtn_pasteword']=="true") $editor->disableFeature("pasteword");
if ($plugin_cf['wysiwygpro3']['hideBtn_undo']=="true") $editor->disableFeature("undo");
if ($plugin_cf['wysiwygpro3']['hideBtn_redo']=="true") $editor->disableFeature("redo");
if ($plugin_cf['wysiwygpro3']['hideBtn_tbl']=="true") $editor->disableFeature("tablemenu");
if ($plugin_cf['wysiwygpro3']['hideBtn_edittable']=="true") $editor->disableFeature("edittable");
if ($plugin_cf['wysiwygpro3']['hideBtn_image']=="true") $editor->disableFeature("image");
if ($plugin_cf['wysiwygpro3']['hideBtn_smiley']=="true") $editor->disableFeature("smiley");
if ($plugin_cf['wysiwygpro3']['hideBtn_ruler']=="true") $editor->disableFeature("ruler");
if ($plugin_cf['wysiwygpro3']['hideBtn_link']=="true") $editor->disableFeature("link");
if ($plugin_cf['wysiwygpro3']['hideBtn_document']=="true") $editor->disableFeature("document");
if ($plugin_cf['wysiwygpro3']['hideBtn_bookmark']=="true") $editor->disableFeature("bookmark");
if ($plugin_cf['wysiwygpro3']['hideBtn_special']=="true") $editor->disableFeature("special");
if ($plugin_cf['wysiwygpro3']['hideBtn_format']=="true") $editor->disableFeature("format");
if ($plugin_cf['wysiwygpro3']['hideBtn_font']=="true") $editor->disableFeature("font");
if ($plugin_cf['wysiwygpro3']['hideBtn_size']=="true") $editor->disableFeature("size");
if ($plugin_cf['wysiwygpro3']['hideBtn_bold']=="true") $editor->disableFeature("bold");
if ($plugin_cf['wysiwygpro3']['hideBtn_italic']=="true") $editor->disableFeature("italic");
if ($plugin_cf['wysiwygpro3']['hideBtn_underline']=="true") $editor->disableFeature("underline");
if ($plugin_cf['wysiwygpro3']['hideBtn_left']=="true") $editor->disableFeature("left");
if ($plugin_cf['wysiwygpro3']['hideBtn_center']=="true") $editor->disableFeature("center");
if ($plugin_cf['wysiwygpro3']['hideBtn_right']=="true") $editor->disableFeature("right");
if ($plugin_cf['wysiwygpro3']['hideBtn_full']=="true") $editor->disableFeature("full");
if ($plugin_cf['wysiwygpro3']['hideBtn_ol']=="true") $editor->disableFeature("bullets");
if ($plugin_cf['wysiwygpro3']['hideBtn_ul']=="true") $editor->disableFeature("numbering");
if ($plugin_cf['wysiwygpro3']['hideBtn_outdent']=="true") $editor->disableFeature("outdent");
if ($plugin_cf['wysiwygpro3']['hideBtn_indent']=="true") $editor->disableFeature("indent");
if ($plugin_cf['wysiwygpro3']['hideBtn_color']=="true") $editor->disableFeature("fontcolor");
if ($plugin_cf['wysiwygpro3']['hideBtn_highlight']=="true") $editor->disableFeature("highlight");
if ($plugin_cf['wysiwygpro3']['hideBtn_separator1']=="true") $editor->disableFeature("separator");
if ($plugin_cf['wysiwygpro3']['hideBtn_separator2']=="true") $editor->disableFeature("separator2");
if ($plugin_cf['wysiwygpro3']['hideBtn_separator3']=="true") $editor->disableFeature("separator3");
if ($plugin_cf['wysiwygpro3']['hideBtn_separator4']=="true") $editor->disableFeature("separator4");
if ($plugin_cf['wysiwygpro3']['hideBtn_separator5']=="true") $editor->disableFeature("separator5");
if ($plugin_cf['wysiwygpro3']['hideBtn_separator6']=="true") $editor->disableFeature("separator6");
if ($plugin_cf['wysiwygpro3']['hideBtn_separator7']=="true") $editor->disableFeature("separator7");
if ($plugin_cf['wysiwygpro3']['hideBtn_separator8']=="true") $editor->disableFeature("separator8");
if ($plugin_cf['wysiwygpro3']['hideBtn_separator9']=="true") $editor->disableFeature("separator9");
if ($plugin_cf['wysiwygpro3']['hideBtn_separator10']=="true") $editor->disableFeature("separator10");
if ($plugin_cf['wysiwygpro3']['hideBtn_fullwindow']=="true") $editor->disableFeature("fullwindow");
if ($plugin_cf['wysiwygpro3']['hideBtn_zoom']=="true") $editor->disableFeature("zoom");
if ($plugin_cf['wysiwygpro3']['hideBtn_moretextformatting']=="true") $editor->disableFeature("moretextformatting");
if ($plugin_cf['wysiwygpro3']['hideBtn_morealignmentformatting']=="true") $editor->disableFeature("morealignmentformatting");
if ($plugin_cf['wysiwygpro3']['hideBtn_morelistformatting']=="true") $editor->disableFeature("morelistformatting");
if ($plugin_cf['wysiwygpro3']['hideBtn_spelling']=="true") $editor->disableFeature("spelling");
if ($plugin_cf['wysiwygpro3']['hideBtn_media']=="true") $editor->disableFeature("media");
if ($plugin_cf['wysiwygpro3']['hideBtn_codecleanup']=="true") $editor->disableFeature("codecleanup");

if ($plugin_cf['wysiwygpro3']['fontmenu']!= '')   $editor->fontMenu    = explode(",",$plugin_cf['wysiwygpro3']['fontmenu']); 
if ($plugin_cf['wysiwygpro3']['sizemenu']!= '') { 
   $arr = explode(",",$plugin_cf['wysiwygpro3']['sizemenu']);
   $settings = array();
   foreach($arr as $k=>$v) {
      $a2 = explode("::", $v);
      $settings[$a2[1]] = $a2[0];
   }
   $editor->sizeMenu = $settings; 
}
if ($plugin_cf['wysiwygpro3']['stylemenu']!= '') {
   $arr = explode(",",$plugin_cf['wysiwygpro3']['stylemenu']);
   $settings = array();
   foreach($arr as $k=>$v) {
      $a2 = explode("::", $v);
      $settings[$a2[1]] = $a2[0];
   }
   $editor->stylesMenu = $settings; 
}

$eH = 400;
if($cf['editor']['height']!= '') $eH = $cf['editor']['height'];
$wpro = $editor->fetch('100%', $eH); 
$o.='<form method="post" action="'.$sn.'">'.tag('input type="hidden" name="selected" value="'.$u[$s].'"').tag('input type="hidden" name="function" value="save"').$wpro.'</form>';
		
?>
