<?php

/*
** START OF OPTIONS
*/
//*************************************** Replaceable options *************************************************
// CMSimple version of dd-formmailer has posibility of many forms included on the same home page by defining different form structures. 
// The CMSimple form structure can include some predefined options to replace the dd-formmailer original options. In this way you can 
// work with different options for different form structures. To replace the option define the field with option name in your form structure
// as descibed below. 
//
// SPECIAL FIELDS
// These options help generate the email headers. Simply enter a field name,
// and the user input from that field will be used. You can also combine fields. 
// For example, if you have a fm_firstname and fm_lastname field, you could 
// set $sender_name to 'fm_lastname, fm_firstname'

$sender_name = 'fm_name';
$sender_email = 'fm_email';
$email_subject = 'Message form ...'; // can be REPLACED by "email_subject=other subject" in your form structure

// RECIPIENT DATA
// If you are just sending email to a single address, enter it here ex:
// $recipients=user1@domain.com; !!! do not use to= 
// For more advanced
// usage such as multiple recipients, CC, BCC, etc.. please see the web page for instructions
// Example: $recipients=to=user1@domain.com|to=user2@domain.com|cc=user3@domain.com|bcc=user4@domain.com

$recipients = $cf['mailform']['email']; //can be REPLACED by "recipients=to=user1@domain.com|to=user2@domain.com|cc=user3@domain.com|bcc=user4@domain.com" in your form structure

// AUTO REPLY OPTION
// This optional feature allows you to automatically send a pre-defined auto reply email.
// In CMSimple version all data fields are included in auto replay
// To disable auto replay set $auto_reply_message="".

// SUCCESS MESSAGE
// $sent_message is the text shown after the visitor has successfully submitted the form. Value of $sent_message is defined in your langauge file and be can be REPLACED in your form structure
//$sent_message = DDFM_SENT_MESSAGE; 

$auto_reply_name = $tx['site']['title'];
$auto_reply_email = '';

//REPLY CONTENT if TRUE send content back to sender
$auto_reply_message_content = TRUE; // can be redfined to FALSE in your form structure
//Following variables are defined in your language file and be can be REPLACED in your form structure
//$auto_reply_subject = DDFM_AUTO_REPLY_SUBJECT;
//$auto_reply_message = DDFM_AUTO_REPLY_MESSAGE;
//$auto_reply_message = DDFM_AUTO_REPLY_MESSAGE_END
//*************************************** Replaceable options - end************************************************************************

switch ($cf['language']['default']) {  
	case 'en': $language = 'lang/English.php'; break;
	case 'da': $language = 'lang/Danish.php'; break; 
	case 'de': $language = 'lang/Deutsch.php'; break; 
	case 'fi': $language = 'lang/Finnish.php'; break; 
	case 'fr': $language = 'lang/French.php'; break; 
	case 'gr': $language = 'lang/Greek.php'; break;
	case 'it': $language = 'lang/Italian'; break; 
	case 'nl': $language = 'lang/Dutch.php'; break; 
	case 'no': $language = 'lang/NorwegianBokmaal.php'; break; 
	case 'pt': $language = 'lang/Portuguese.php'; break; 
	case 'se': $language = 'lang/Swedish.php'; break; 
	default: $language = 'lang/English.php'; break; 
}

// FULL URL TO SCRIPT
// The full URL to dd-formmailer.php (or whatever you have renamed it to)

$script_path = './plugins/formmail/dd-formmailer.php';

// FULL URL TO CONTACT PAGE
// If you are running this script in standalone mode, leave this blank. Otherwise, enter the full URL to the page that is displaying the form

$path_contact_page = "?".$_SERVER['QUERY_STRING']."#formmail";

// CHARSET
// defines chareset in messages in 'Content-Type: text/plain; charset=xxxx'
// use  'iso-8859-1' or utf-8 or ....
$fm_charset= 'UTF-8';

// WRAP MESSAGES
// If enabled, this wraps messages to 70 chars per line (for RFC compliance)

$wrap_messages = TRUE;

// SAVE ATTACHMENTS
// If enabled, attachments will be saved to a directory instead of emailed

$attach_save = FALSE;

// SAVE ATTACHMENT PATH
// Where files will be saved, if attach_save is enabled
// ** Full path on server. Ex: /home/user/public_html/upload/
// ** Make sure directory has write permission
// ** include trailing slash

$attach_path = '';

// SHOW URL
// If enabled, the URL the script is running from will be added to the message

$show_url = FALSE;

// SHOW IP AND HOSTNAME
// If enabled, the $email_subject,   //visitor's IP and hostname are added to the message

$show_ip_hostname = TRUE;


// MAX UPLOAD SIZE
// If you are using file uploads in your form, this specifies the max file size.
// (This does not override any server settings you might have in PHP.ini)

$max_file_size = 1000000; // in bytes

// SHOW REQUIRED
// If enabled, required fields are marked with an asterisk

$show_required = TRUE;

// MESSAGE STRUCTURE
// This is an optional setting that allows you to define your own custom message
// template. More information can be found on the web page. If left blank, the script
// will generate the message itself, which is generally suitable for most purposes.
// You use field names in this - they will be replaced with the user input from those fields.

$message_structure = ''; //!!!! NOT in use in CMSimple version leave it as it is.

// IMAGE VERIFICATION
// You can disable image verification, use the simple built-in method, or use ReCaptcha
// If you use ReCaptcha, sign up for a free account at http://recaptcha.net and enter the codes below

$verify_method = 'basic'; // 'akismet', 'basic', 'recaptcha' or akismet - recaptcha can cause javascript error with some forms

// BASIC IMAGE VERIFICATION OPTIONS

$verify_background = 'FF0000';	// 'F0F0F0'; hex code for background color
$verify_text = 'FFFFFF'; //005ABE';		// hex code for text color
$verify_grid = '00FFFF';
$verify_grid_density=3;   //density of bacckground grid, values between 3 and 10 gives acceptable result
$force_type = '';				// problems showing the code? try forcing to 'gif', 'jpeg' or 'png'


// RECAPTCHA IMAGE VERIFICATION OPTIONS
// Public and private keys - you get these when you sign up an free account at http://recaptcha.net

$re_public_key = '';
$re_private_key = '';

//AKISMET VERIFICATION OPTION
// domain = 'http://www.yourdomain.com'
// key - you get these when you sign up an account at http://akismet.com/personal/
// errmg - spam allert from akismet
// $akismet_not_available_err - problems contacting akismet server.
// log - if not empty akismet rejections are loged in the file with name $akismet_log
$akismet_domain = 'http://'.$_SERVER['SERVER_NAME'];
$akismet_key = '';//get a free key from http://akismet.com/personal/
$akismet_log="./plugins/formmail/akismet_log.txt";


//In case of Akismet error switch to basic spam protection. After Akismet error user need to send the form one more time
//to switch to basic protection so remember to set AKISMET_ERRMSG and AKISMET_NOT_AVAILABLE_ERR in your langauge file 
//to guide your users. If you want to stop the dialogue after Akismet error then comment this lines out.
//NB Don't remove the line 'type=verify|class=fmverify|label=Verifikation'; in your $form_struct dfinition
if (isset($_SESSION['akismet']) && $_SESSION['akismet']=="error") {
	$verify_method='basic';  // define alternate verification her options 'basic' or 'recaptcha'
}
//Changing to recatpcha gives sometimes javascript error (HTML Parsing Error: Unable to modify the parent container element before the child element is closed (KB927917)) )in IE8 - no workaround is availabel at the moment. 

// SAVE DATA TO FILE
// If set to TRUE, the form input will be saved in a delimited file

$save_to_file = FALSE;

// STILL SEND EMAIL
// If saving the data to a file, still have the script send the email?

$save_email = TRUE;

// DATA PATH
// The file that will be written to - make sure it has write access

$save_path = 'data.txt';

// DELIMITER
// Fields will be separated by this character. If this character is found in
// the actual data, it will be removed.

$save_delimiter = '|';

// NEWLINES
// Newlines in the data will be replaced by this

$save_newlines = "<br>";

// TIMESTAMP
// Add date/time to the beginning of each line 
// Uses the PHP date format: http://us.php.net/date
// Leave blank to disable this feature

$save_timestamp = "d-m-Y h:i:s A";

/*
** END OF OPTIONS 
*/
?>
